Subject: bug#66773: closed (Re: bug#66773: 29.1; Ido displays incorrectly with multiple frames when ido-max-window-height=1)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 18 Nov 2023 08:36:02 +0000

Your bug report

#66773: 29.1; Ido displays incorrectly with multiple frames when ido-max-window-height=1

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
66773: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=66773
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#66773: 29.1; Ido displays incorrectly with multiple frames when ido-max-window-height=1
From: Eli Zaretskii <[email-masked]>
To: Spencer Williams <[email-masked]>
Cc: [email-masked]
Date: Sat, 18 Nov 2023 10:34:50 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: Spencer Williams <[email-masked]>
> Cc: [email-masked]
> Date: Sat, 28 Oct 2023 19:41:45 -0400
> 
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > It looks to me that when ido-max-window-height is set to 1, the
> > variable redisplay-adhoc-scroll-in-resize-mini-windows should be set
> > to the nil value, which will make the behavior in your recipe
> > consistent, at least in my testing.
> 
> It does, and I thank you much for turning me onto that, as it at least
> provides a usable fix for now.

No more comments, so I'm now closing the bug as done.

Subject: 29.1; Ido displays incorrectly with multiple frames when ido-max-window-height=1
From: Spencer Williams <[email-masked]>
To: [email-masked]
Date: Thu, 26 Oct 2023 16:15:07 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

When using multiple graphical frames, setting ido-max-window-height to 1
only works as expected on the initial frame. On all other frames,
supposing the minibuffer length is great enough, the beginning will be
occluded until user input is received.

This can be easily demonstrated by running the following code on a fresh
graphical Emacs, and then pressing C-x b to switch buffers:

(progn
  (ido-mode 1)
  (setq ido-max-window-height 1)
  (dotimes (i 100)
    (generate-new-buffer "foobar"))
  (make-frame))

The bug manifests on both Linux and macOS (vanilla builds). It was not
present on Emacs 28. I ran a git-bisect and the "first bad commit"
appears to be c0b9041ebde82907711cc00a7c307fe622fb541c.